summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-fs/smbnetfs: depend on libgnome-keyringZac Medico2016-07-091-2/+2
| | | | Package-Manager: portage-2.3.0
* app-emulation/docker: remove 1.12.0-rc2 per #588276William Hubbs2016-07-092-277/+0
| | | | Package-Manager: portage-2.2.28
* kde4-base.eclass: Remove warning without kde-apps/kdebase-runtime-metaAndreas Sturmlechner2016-07-091-10/+0
| | | | Signed-off-by: Johannes Huber <johu@gentoo.org>
* profiles: Resolve conflicts with slot 5 in kde package.useAndreas Sturmlechner2016-07-091-1/+6
| | | | Signed-off-by: Johannes Huber <johu@gentoo.org>
* kde-base/kdebase-startkde: Drop obsoleteAndreas Sturmlechner2016-07-091-96/+0
| | | | | | Package-Manager: portage-2.2.28 Signed-off-by: Johannes Huber <johu@gentoo.org>
* kde-base/kdebase-startkde: Merge kdebase-runtime-meta hereAndreas Sturmlechner2016-07-093-12/+177
| | | | | | | | Gets rid of slot 5 dependency. Package-Manager: portage-2.2.28 Signed-off-by: Johannes Huber <johu@gentoo.org>
* dev-python/libvirt-python: drop old 1.2.21Matthias Maier2016-07-092-45/+0
| | | | Package-Manager: portage-2.2.28
* app-emulation/libvirt: drop old 1.2.21-r3Matthias Maier2016-07-094-648/+0
| | | | Package-Manager: portage-2.2.28
* media-libs/gst-plugins-base: Pointless commit to enforce regeneration of the ↵Andreas K. Hüttel2016-07-091-0/+2
| | | | | | rsync Manifest Package-Manager: portage-2.3.0
* media-libs/gstreamer: Pointless commit to enforce regeneration of the rsync ↵Andreas K. Hüttel2016-07-091-0/+2
| | | | | | Manifest Package-Manager: portage-2.3.0
* app-crypt/acme: Remove oldManuel Rüger2016-07-092-43/+0
| | | | Package-Manager: portage-2.3.0
* sci-visualization/paraview: reinstantiate 4.1.0 to resolve openfoam depMatthias Maier2016-07-098-0/+978
| | | | Package-Manager: portage-2.2.28
* dev-db/lmdb: fix prefix bugsZac Medico2016-07-091-3/+3
| | | | Package-Manager: portage-2.3.0
* media-libs/phonon-gstreamer: introduce dev-qt/qtwebkit:4[gstreamer] blockerMichael Palimaka2016-07-103-1/+4
| | | | | | | | | | | | dev-qt/qtwebkit:4[gstreamer] uses media-libs/gstreamer:0.10, while later versions of media-libs/phonon-gstreamer use media-libs/gstreamer:1.0. This can cause both gstreamer libraries to get loaded at once, resulting in a crash due to symbol collision. Gentoo-bug: 522880 Package-Manager: portage-2.3.0
* dev-libs/jsoncpp: Bump to 1.7.4 w/ pkg-config fixMichał Górny2016-07-092-1/+1
|
* net-misc/networkmanager-pptp: Fix manifest (#588298)Pacho Ramos2016-07-091-1/+1
| | | | Package-Manager: portage-2.3.0
* kde-misc/krename: Fix build with gcc-6Johannes Huber2016-07-092-0/+56
| | | | | | | | | Revision bump adds patch from Arch Linux. Spotted by George Diamantopoulos <georgediam@gmail.com>. Gentoo-bug: 587994 Package-Manager: portage-2.3.0
* sci-visualization/paraview: add a required use constraint, bug #586934Matthias Maier2016-07-092-4/+4
| | | | | | | Apparently, configuring paraview with USE="python" requires an MPI installation. Package-Manager: portage-2.2.28
* sci-visualization/paraview: version bump to 5.1.0Matthias Maier2016-07-092-0/+266
| | | | Package-Manager: portage-2.2.28
* sci-visualization/paraview: remove old versionsMatthias Maier2016-07-0911-1830/+0
| | | | Package-Manager: portage-2.2.28
* net-misc/networkmanager: avahi support was dropped (#588396 by poncho)Pacho Ramos2016-07-091-2/+1
| | | | Package-Manager: portage-2.3.0
* net-misc/networkmanager: Drop oldPacho Ramos2016-07-095-800/+0
| | | | Package-Manager: portage-2.3.0
* kde-apps/marble: Restrict testsJohannes Huber2016-07-091-0/+4
| | | | | | | | Add virtual x for tests. Gentoo-bug: 588320 Package-Manager: portage-2.3.0
* dev-python/libzilla: Clean up old.Patrice Clement2016-07-092-25/+0
| | | | Package-Manager: portage-2.2.28
* dev-python/libzilla: Version bump.Patrice Clement2016-07-092-0/+25
| | | | Package-Manager: portage-2.2.28
* dev-erlang/hamcrest: Change patch nameAmadeusz Żołnowski2016-07-092-1/+1
| | | | Package-Manager: portage-2.3.0
* media-sound/kradio: fix linguas -> l10n falloutMichael Palimaka2016-07-101-3/+3
| | | | | | | | Also add some missed translations. Gentoo-bug: 588438 Package-Manager: portage-2.3.0
* dev-games/tiled: version bumpMichael Palimaka2016-07-102-0/+70
| | | | Package-Manager: portage-2.3.0
* app-admin/keepass: amd64 stable wrt bug #585140Agostino Sarubbo2016-07-091-1/+1
| | | | | | Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* app-cdr/xcdroast: amd64 stable wrt bug #345337Agostino Sarubbo2016-07-091-1/+1
| | | | | | Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* net-im/openfire: amd64 stable wrt bug #588312Agostino Sarubbo2016-07-091-1/+1
| | | | | | Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* dev-erlang/hamcrest: Restore unit testsAmadeusz Żołnowski2016-07-092-4/+89
| | | | | | Apply patch from https://github.com/hyperthunk/hamcrest-erlang/pull/24 Package-Manager: portage-2.3.0
* dev-db/couchdb: remove old versionDirkjan Ochtman2016-07-091-76/+0
| | | | Package-Manager: portage-2.2.28
* dev-db/couchdb: restrict erlang versionsDirkjan Ochtman2016-07-092-5/+5
| | | | Package-Manager: portage-2.2.28
* php-ext-pecl-r3.eclass: new revision supporting EAPI=6.Michael Orlitzky2016-07-091-0/+86
| | | | | | | | | | | | The php-ext-pecl eclasses are based mainly on the php-ext-source eclasses. Now that we have a new revision php-ext-source-r3.eclass, this new revision of php-ext-pecl inherits that. As a result, all of the changes affecting that revision also affect this one. A migration guide for users can be found on the wiki: https://wiki.gentoo.org/wiki/Project:PHP/Php-ext-source-r3_migration_guide Gentoo-Bug: 512184
* php-ext-source-r3.eclass: new revision supporting EAPI=6.Michael Orlitzky2016-07-091-0/+410
| | | | | | | | | | | | | | | | | | | | | | | | | | This is a new revision of the php-ext-source eclass that supports EAPI=6 (only) and cleans up some of the existing code. The list of user-facing changes is, * Support only EAPI=6. * PATCHES array/variable support. * DOCS array support (bug 512184). * Renamed my_conf and PHPSAPILIST variables. Some refactoring was done, but not in a way that consumers should notice. A migration guide can be found on the wiki: https://wiki.gentoo.org/wiki/Project:PHP/Php-ext-source-r3_migration_guide In addition, a number of improvements were suggested by Michał Górny on the gentoo-dev mailing list: https://archives.gentoo.org/gentoo-dev/message/9159cba2eabceb96d8ae16ced6631f1e Gentoo-Bug: 512184
* net-analyzer/nagios-check_rbl: add ~x86 keyword.Michael Orlitzky2016-07-091-1/+1
| | | | | | | | | | This re-adds the ~x86 keyword that was lost when two new perl dependencies were introduced (see the referenced bug). The package has been tested and does indeed work on x86. Gentoo-Bug: 538496 Package-Manager: portage-2.2.28
* dev-perl/Data-Validate-IP: add ~x86 keyword.Michael Orlitzky2016-07-091-2/+2
| | | | | | | | | | This is a non-maintainer commit, but it comes with an ack from the Perl project. It comes after full testing on x86 hardware, and use with net-analyzer/nagios-check_rbl. Gentoo-Bug: 538496 Package-Manager: portage-2.2.28
* dev-perl/Data-Validate-Domain: add ~x86 keyword.Michael Orlitzky2016-07-091-2/+2
| | | | | | | | | | This is a non-maintainer commit, but it comes with an ack from the Perl project. It comes after full testing on x86 hardware, and use with net-analyzer/nagios-check_rbl. Gentoo-Bug: 538496 Package-Manager: portage-2.2.28
* sys-kernel/hardened-sources: remove older unstable versionsAnthony G. Basile2016-07-093-92/+0
| | | | Package-Manager: portage-2.2.28
* sys-kernel/hardened-sources: version bump to 4.6.3-r2Anthony G. Basile2016-07-092-0/+46
| | | | | | vanilla-4.6.3 + genpatches-4.6-3 + grsecurity-3.1-4.6.3-201607070721 Package-Manager: portage-2.2.28
* update rubinius mask for new versionHans de Graaff2016-07-091-4/+4
|
* dev-lang/rubinius: cleanup for bug 588102Hans de Graaff2016-07-093-175/+0
| | | | Package-Manager: portage-2.2.28
* dev-lang/rubinius: add 3.43Hans de Graaff2016-07-092-0/+90
| | | | Package-Manager: portage-2.2.28
* mail-client/mutt: version bump to 1.6.2, neomutt-20160709Fabian Groffen2016-07-092-0/+262
| | | | Package-Manager: portage-2.2.28
* dev-vcs/vcsh: disable tests entirelyMatthias Maier2016-07-091-0/+2
| | | | Package-Manager: portage-2.2.28
* app-emulation/libvirt: 1.3.5-r1: Switch to v1.3.5-maint channel for patchesMatthias Maier2016-07-093-75/+3
| | | | Package-Manager: portage-2.2.28
* app-emulation/libvirt: drop vulnerable 1.2.21-r2, bug #587570Matthias Maier2016-07-092-387/+0
| | | | | | CVE-2016-5008 Package-Manager: portage-2.2.28
* app-emulation/libvirt: x86 stableMatthias Maier2016-07-091-1/+1
| | | | | Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="x86"
* app-emulation/libvirt: amd64 stableMatthias Maier2016-07-091-2/+2
| | | | | Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64"